org.eclipse.microprofile.reactive.messaging.spi

## Interface ConnectorFactory

All Known Subinterfaces:
  IncomingConnectorFactory, OutgoingConnectorFactory

    public interface ConnectorFactory

Parent class for `IncomingConnectorFactory` and `OutgoingConnectorFactory`.

### Field Summary

Fields
`static String` `CHANNEL_NAME_ATTRIBUTE` The `channel-name` attribute name.
`static String` `CONNECTOR_ATTRIBUTE` The `connector` attribute name.
`static String` `CONNECTOR_PREFIX` Prefix used in the MicroProfile Config to configure properties shared by all the channels associated with a specific connector.
`static String` `INCOMING_PREFIX` Prefix used in the MicroProfile Config to configure an `incoming` channel.
`static String` `OUTGOING_PREFIX` Prefix used in the MicroProfile Config to configure an `outgoing` channel.

### Field Detail

#### CHANNEL_NAME_ATTRIBUTE

    static final String CHANNEL_NAME_ATTRIBUTE

The `channel-name` attribute name. This attribute is injected by the reactive messaging implementation into the `Config` object passed to the `IncomingConnectorFactory` and `OutgoingConnectorFactory`. The value associated with this attribute is the name of the channel being created.

See Also:
  Constant Field Values

#### CONNECTOR_ATTRIBUTE

    static final String CONNECTOR_ATTRIBUTE

The `connector` attribute name. This attribute is part of the `Config` passed to the `IncomingConnectorFactory` and `OutgoingConnectorFactory` when a new channel is created. It indicates the name of the connector. Note that each channel configured from the MicroProfile Config support must provide this attribute to indicate which connector is used. It must match the name given to the `Connector` qualifier.

See Also:
  Constant Field Values

#### INCOMING_PREFIX

    static final String INCOMING_PREFIX

Prefix used in the MicroProfile Config to configure an `incoming` channel.

See Also:
  Constant Field Values

#### OUTGOING_PREFIX

    static final String OUTGOING_PREFIX

Prefix used in the MicroProfile Config to configure an `outgoing` channel.

See Also:
  Constant Field Values

#### CONNECTOR_PREFIX

    static final String CONNECTOR_PREFIX

Prefix used in the MicroProfile Config to configure properties shared by all the channels associated with a specific connector.

See Also:
  Constant Field Values